Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class UserPersonalizationBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.UserPersonalizationBean

public class UserPersonalizationBean
extends BaseBean

The UserPersonalization EJB implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `categoryName` The category name.
`int` | `column` The column.
`java.lang.String` | `groupId` The group id.
`boolean` | `minimized` The minimized flag.
`java.lang.String` | `portalName` The portal name.
`java.lang.String` | `portletName` The portlet name.
`int` | `row` The row.
`java.lang.String` | `userId` The user id.
`boolean` | `visible` The visible flag.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`UserPersonalizationBean()`

Method Summary
`void` | `ejbCreate(UserPersonalizationPK pk)` Ejb create.
`void` | `ejbPostCreate(UserPersonalizationPK pk)` Ejb post create.
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumn()` Get column.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getPortletName()` Get portlet name.
`int` | `getRow()` Get row.
`java.lang.String` | `getUserId()` Get user id.
`boolean` | `isMinimized()` Is it minimized?
`boolean` | `isVisible()` Is it visible?
`void` | `setColumn(int aPos)` Set column.
`void` | `setMinimized(boolean aBool)` Set the minimized flag.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBoolean)` Set the visible flag.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalName

    public java.lang.String portalName

  The portal name.

### categoryName

    public java.lang.String categoryName

  The category name.

### portletName

    public java.lang.String portletName

  The portlet name.

### groupId

    public java.lang.String groupId

  The group id.

### userId

    public java.lang.String userId

  The user id.

### visible

    public boolean visible

  The visible flag.

### row

    public int row

  The row.

### column

    public int column

  The column.

### minimized

    public boolean minimized

  The minimized flag.

Constructor Detail

### UserPersonalizationBean

    public UserPersonalizationBean()

Method Detail

### ejbCreate

    public void ejbCreate(UserPersonalizationPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(UserPersonalizationPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` -
    `RemoteException` -

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Returns:
    `String` the category name.

### getPortletName

    public java.lang.String getPortletName()

  Get portlet name.
  Returns:
    `String` the portlet name.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Returns:
    `String` the user id.

### isVisible

    public boolean isVisible()

  Is it visible?
  Returns:
    `boolean` yes/no.

### setVisible

    public void setVisible(boolean aBoolean)

  Set the visible flag.
  Parameters:
    `aBoolean` - yes/no.

### getRow

    public int getRow()

  Get row.
  Returns:
    `int` the row.

### setRow

    public void setRow(int aPos)

  Set row.
  Parameters:
    `aPos` - the row.

### getColumn

    public int getColumn()

  Get column.
  Returns:
    `int` the column.

### setColumn

    public void setColumn(int aPos)

  Set column.
  Parameters:
    `aPos` - the column.

### setMinimized

    public void setMinimized(boolean aBool)

  Set the minimized flag.
  Parameters:
    `aBool` - yes/no.

### isMinimized

    public boolean isMinimized()

  Is it minimized?
  Returns:
    `boolean` yes/no.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved